package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceModuleDistributeVo;
/**
* 设备前端模块部署实体对象
*
* @author zxfei
* @date 2022-08-02
*/

public class DeviceModuleDistributeEntity extends DeviceModuleDistributeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品Id
    */
    private Long productId;
    /**
    * 产品编码
    */
    private String productCode;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 分辨率
    */
    private String imageResolution;
    /**
    * 分辨率值
    */
    @Excel(name = "分辨率值")
    private String imageResolutionValue;
    /**
    * 文件相对路径地址
    */
    @Excel(name = "文件相对路径地址")
    private String filePath;
    /**
    * 文件部署路径地址
    */
    @Excel(name = "文件部署路径地址")
    private String distributeFilePath;
    /**
    * 版本号
    */
    @Excel(name = "版本号")
    private String version;
    /**
    * 是否部署(0.否，1.是)
    */
    @Excel(name = "是否部署", readConverterExp = "0=否,1=是")
    private Integer distribute;



    public DeviceModuleDistributeEntity(){}
    /**
    * 获取 产品Id
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品Id
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品编码
    * @return String
    */
    public String getProductCode(){
        return productCode;
    }
    /**
    * 设置 产品编码
    * @param productCode
    */
    public void setProductCode(String productCode){
        this.productCode = productCode;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 分辨率
    * @return String
    */
    public String getImageResolution(){
        return imageResolution;
    }
    /**
    * 设置 分辨率
    * @param imageResolution
    */
    public void setImageResolution(String imageResolution){
        this.imageResolution = imageResolution;
    }
    /**
    * 获取 分辨率值
    * @return String
    */
    public String getImageResolutionValue(){
        return imageResolutionValue;
    }
    /**
    * 设置 分辨率值
    * @param imageResolutionValue
    */
    public void setImageResolutionValue(String imageResolutionValue){
        this.imageResolutionValue = imageResolutionValue;
    }
    /**
    * 获取 文件相对路径地址
    * @return String
    */
    public String getFilePath(){
        return filePath;
    }
    /**
    * 设置 文件相对路径地址
    * @param filePath
    */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
    * 获取 文件部署路径地址
    * @return String
    */
    public String getDistributeFilePath(){
        return distributeFilePath;
    }
    /**
    * 设置 文件部署路径地址
    * @param distributeFilePath
    */
    public void setDistributeFilePath(String distributeFilePath){
        this.distributeFilePath = distributeFilePath;
    }
    /**
    * 获取 版本号
    * @return String
    */
    public String getVersion(){
        return version;
    }
    /**
    * 设置 版本号
    * @param version
    */
    public void setVersion(String version){
        this.version = version;
    }
    /**
    * 获取 是否部署(0.否，1.是)
    * @return Integer
    */
    public Integer getDistribute(){
        return distribute;
    }
    /**
    * 设置 是否部署(0.否，1.是)
    * @param distribute
    */
    public void setDistribute(Integer distribute){
        this.distribute = distribute;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceModuleDistributeEntity) {
            DeviceModuleDistributeEntity tmp = (DeviceModuleDistributeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productId:").append(getProductId());
        sb.append(",productCode:").append(getProductCode());
        sb.append(",productName:").append(getProductName());
        sb.append(",imageResolution:").append(getImageResolution());
        sb.append(",imageResolutionValue:").append(getImageResolutionValue());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",distributeFilePath:").append(getDistributeFilePath());
        sb.append(",version:").append(getVersion());
        sb.append(",distribute:").append(getDistribute());
        return sb.toString();
    }

    public void initAttrValue(){

            this.productId = null;

            this.productCode = "";

            this.productName = "";

            this.imageResolution = "";

            this.imageResolutionValue = "";

            this.filePath = "";

            this.distributeFilePath = "";

            this.version = "";

            this.distribute = 0;
    }
}